# Uses of Class
javax.naming.ldap.Rdn

Packages that use Rdn
Package
Description
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.

## Uses of Rdn in javax.naming.ldap

Methods in javax.naming.ldap that return Rdn
Modifier and Type
Method
Description
`Rdn`
LdapName.`getRdn​(int posn)`
Retrieves an RDN of this LDAP name as an Rdn.
Methods in javax.naming.ldap that return types with arguments of type Rdn
Modifier and Type
Method
Description
`List<Rdn>`
LdapName.`getRdns()`
Retrieves the list of relative distinguished names.
Methods in javax.naming.ldap with parameters of type Rdn
Modifier and Type
Method
Description
`Name`
LdapName.`add​(int posn, Rdn comp)`
Adds a single RDN at a specified position within this LDAP name.
`Name`
LdapName.`add​(Rdn comp)`
Adds a single RDN to the end of this LDAP name.
Method parameters in javax.naming.ldap with type arguments of type Rdn
Modifier and Type
Method
Description
`Name`
LdapName.`addAll​(int posn, List<Rdn> suffixRdns)`
Adds the RDNs of a name -- in order -- at a specified position within this name.
`Name`
LdapName.`addAll​(List<Rdn> suffixRdns)`
Adds the RDNs of a name -- in order -- to the end of this name.
`boolean`
LdapName.`endsWith​(List<Rdn> rdns)`
Determines whether the specified RDN sequence forms a suffix of this LDAP name.
`boolean`
LdapName.`startsWith​(List<Rdn> rdns)`
Determines whether the specified RDN sequence forms a prefix of this LDAP name.
Constructors in javax.naming.ldap with parameters of type Rdn
Modifier
Constructor
Description
``
`Rdn​(Rdn rdn)`
Constructs an Rdn from the given `rdn`.
Constructor parameters in javax.naming.ldap with type arguments of type Rdn
Modifier
Constructor
Description
``
`LdapName​(List<Rdn> rdns)`
Constructs an LDAP name given its parsed RDN components.